LINUX.ORG.RU

ghostscript 8.60 — теперь GPL и с поддержкой CUPS


0

0

Вышла версия 8.60 программы ghostscript, интерпретатора PostScript и PDF. Этот релиз является окончательным этапом включения в основную ветвь «форка» программы, ESP ghostscript, созданного для лучшей поддержки системы печати CUPS. Кроме того, улучшена модульность пакета и выполнен перевод на GPL.

>>> Анонс



Проверено: Shaman007 ()

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

"улучшена модулярность" - быть может все таки модульность?

Deleted ()

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

Кстати по поводу CUPS. Поставил последние guitenprint принтер Epson R200 стал заметно медленнее печатать во всех режимах, включая draft. Помнится, что такое уже было и лечилось включением/выключением какой-то опции печати. Кто-нибудь может подсказать какой, пожалуйста?

GladAlex ★★★★★ ()

Ну, наконец-то.

Развитие Купса наконец-то проделало полный круг и вернулась с того с чего оно и начиналось ;) Что не может не радовать :)
Напомню, что одной из причин появления купса было желание иметь свой встроенный интерпретатор постскрипта и не зависить от настроек ghostscripta (как это было у lpr и lprng), т.е. выбор был сделан в пользу монолитности в ущерб модульности.
Через 10 лет до разработчиков купса дошло, что они были не правы.

mk ()
Ответ на: Ну, наконец-то. от mk

Re: Ну, наконец-то.

>Через 10 лет до разработчиков купса дошло, что они были не правы.

Однако в ESP добавили большое число всяких драйверов для принтеров (можно сравнить вывод gs-gpl --help и gs-esp --help), которые по непонятной причине выкинули из основного gs-gpl в свое время. Например, имеется тут принтер Okipage 8w lite (win-принтер, но спеки Okidata автору драйверов дала).

The driver was in GNU GhostScript 6.x, but was removed again in 7.x. Currently it is available in ESP GhostScript 7.07.x and 8.15.x.

Чтобы печатать из gs-gpl надо было использовать либо демон, либо программу, в которую был жестко вкомпилен запуск gs с параметрами. А gs-esp имеет девайс oki4w, который вполне себе работает. Вот если этот функционал перетащат в GPL, то (мне) будет очень хорошо. Сейчас же приходится держать и тот, и другой вариант Ghostscript. Один для просмотра, а другой --- для печати.

Zubok ★★★★★ ()
Ответ на: Re: Ну, наконец-то. от GladAlex

Ну, наконец-то.

Вообщем-то, действительно не причём, за исключением того, что ESP ghost - это такая гадость, а с APFL(GPL) ghost-ом купс не работал.

mk ()

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

ghostscript - теперь клубничный и с хрустящими шариками!

(извините, не удержался)

А раньше какая лицензия была? Он ведь есть почти во всех дистрибутивах Linux и в системах *BSD. Что будут делать последние? Форкнут?

annoynimous ★★★★★ ()
Ответ на: Re: Ну, наконец-то. от Zubok

Ну, наконец-то.

Ну, прогресс на месте не стоит.
Я в своё время разбирался с этим Okipage. Даже со старым ghost-ом он
работал, нужно было только с помощью специальной программки отфильтровать gs вывод, который Okipage уже печатал.

mk ()
Ответ на: Ну, наконец-то. от mk

Re: Ну, наконец-то.

>Я в своё время разбирался с этим Okipage. Даже со старым ghost-ом он работал, нужно было только с помощью специальной программки отфильтровать gs вывод, который Okipage уже печатал.

Про что я и говорю. Раньше была специальная программа. Но сейчас она уже имеет статус на linuxprinting.org как "This driver is obsolete. Recommended replacement driver: oki4w". А этот oki4w есть только в ESP. По какой причине выкинули эти драйвера из GPL gs, оставив, тем не менее, ряд других на месте, мне не понятно.

Zubok ★★★★★ ()
Ответ на: Ну, наконец-то. от mk

Re: Ну, наконец-то.

>Может быть не успели слить? У них же merge начался только где-то в конце апреля.

Не, это я про старые дела говорил. А то, что получается от вливания ESP, я еще даже в глаза не видел. Тут я могу только надеяться, что в каком-то виде войдет в основную ветку GPL. Просто принтер есть и как бы вполне себе удовлетворительно работает. Не хотелось бы в будущем, когда произойдет переход на новый gs, опять испытывать проблему с уже давно работающей техникой. Подождем. Посмотрим.

Zubok ★★★★★ ()
Ответ на: Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS от GladAlex

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

> Кстати по поводу CUPS. Поставил последние guitenprint принтер Epson R200 стал заметно медленнее печатать во всех режимах, включая draft. Помнится, что такое уже было и лечилось включением/выключением какой-то опции печати. Кто-нибудь может подсказать какой, пожалуйста?

Не помню как опция называется, и где она в конфигах, но в suse10 через yast это лечилось установкой разрешения по умолчанию, т.е. там вроде можно выставить что-то типа автоселекта, ещё какую-то фигню, а можно поставить что по умолчанию 300dpi (ну или кому как нужно).

gloomdemon ()
Ответ на: Ну, наконец-то. от mk

Re: Ну, наконец-то.

> Напомню, что одной из причин появления купса было желание иметь свой встроенный интерпретатор постскрипта и не зависить от настроек ghostscripta (как это было у lpr и lprng), т.е. выбор был сделан в пользу монолитности в ущерб модульности.

Бредятина!!! купс всего лишь удобная система печати, а гоустскрипт они форкнули, чтоб встроить туда поддержку всяких идиотских принтеров

anonymous ()

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

> Этот релиз является окончательным этапом включения в основную ветвь «форка» программы, ESP ghostscript, созданного для лучшей поддержки системы печати CUPS.

Можно по-русски?

anonymous ()
Ответ на: Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS от gloomdemon

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

>Не помню как опция называется, и где она в конфигах, но в suse10 через yast это лечилось установкой разрешения по умолчанию

Пробовал даже на самом низком разрешении - тормозит. В том то и дело, что оно начало тормозить с дефолтными настройками после обновления gutenprint. Нашёл Gutenprint Manual в PDF, попробую еще включить Graphics вместо Photograph, но самое плохое, что при печати текста тоже тормозит - это какая-то глобальная настройка.

GladAlex ★★★★★ ()

Re: ghostscript 8.60 -- теперь GPL и с поддержкой CUPS

Ура, ура, ура!

balodja ★★★ ()
Ответ на: Re: Ну, наконец-то. от anonymous

Re: Ну, наконец-то.

Ты бы хоть текст прочитал на сайте купса, прежде чем выcтупать:

CUPS used to provide a customized version of GNU Ghostscript 5.50 to support non-PostScript printers. The customized filter, called pstoraster, was used by the sample drivers in CUPS, the GIMP-print CUPS drivers, and the drivers in ESP Print Pro.

As more Linux distributions began shipping CUPS as their standard printing system, we received many requests from Linux distributors to provide patches to the standard GNU/GPL Ghostscript source distribution so that they could ship a single version of Ghostscript.

mk ()
Ответ на: Re: Ну, наконец-то. от mk

Re: Ну, наконец-то.

http://www.cups.org/doc-1.1/overview.html
...

Filters

A filter program reads from the standard input or from a file if a filename is supplied. All filters must support a common set of options including printer name, job ID, username, job title, number of copies, and job options. All output is sent to the standard output.

Filters are provided for many file formats and include image file and PostScript raster filters that support non-PostScript printers. Multiple filters are run in parallel to produce the required output format.

The PostScript raster filter is based on the GNU Ghostscript 5.50 core. Instead of using the Ghostscript printer drivers and front-end, the CUPS filter uses a generic raster printer driver and CUPS-compliant front-end to support any kind of raster printer. This allows the same printer driver filter to be used for printing raster data from any filter.

mk ()
Ответ на: Re: Ну, наконец-то. от anonymous

Re: Ну, наконец-то.

Я так и предполагал, что причиной твоих заблуждений была банальная неспособность понимать прочитанное. Что-то типа функциональной дислексии.

mk ()
Ответ на: Re: Ну, наконец-то. от anonymous

Re: Ну, наконец-то.

> mk добавлен в список онанимусов

+10 /* лихо! */

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.